﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Backlight {
    public partial class MainForm : Form {
        public MainForm() {
            InitializeComponent();
        }


        private Medo.Configuration.PowerRequirement _power = new Medo.Configuration.PowerRequirement(Medo.Configuration.PowerRequirement.BacklightDevice);


        private void mnuOn_Click(object sender, EventArgs e) {
            _power.Set(Medo.Configuration.PowerRequirementState.D0);
            mnuOn.Enabled = false;
            mnuOff.Enabled = true;
        }

        private void mnuOff_Click(object sender, EventArgs e) {
            _power.Release();
            mnuOn.Enabled = true;
            mnuOff.Enabled = false;
        }


        private bool _shouldSetOnActivate;

        private void MainForm_Deactivate(object sender, EventArgs e) {
            this._shouldSetOnActivate = this._power.IsSet;
            if (this._power.IsSet) {
                this._power.Release();
            }
        }

        private void MainForm_Activated(object sender, EventArgs e) {
            if (this._shouldSetOnActivate) {
                this._power.Set(Medo.Configuration.PowerRequirementState.D0);
            }
        }

    }
}